#===================================================================
# Copyright (C) 2011-2015 Intel Mobile Communications GmbH
# Security Class: Intel Confidential
#===================================================================

LOCAL_PATH:= $(call my-dir)

include $(CLEAR_VARS)
LOCAL_MODULE := libgnssconf
LOCAL_MODULE_TAGS := optional
LOCAL_MODULE_OWNER := intel
LOCAL_REQUIRED_MODULES :=  \
    GNSSLog.cfg \
    GNSSPltf.cfg \
    GNSSUser.cfg \
    HalConfigCG2000_linux.cfg \
    cacert.txt
include $(BUILD_PHONY_PACKAGE)


include $(CLEAR_VARS)
LOCAL_MODULE        := GNSSLog.cfg
LOCAL_MODULE_TAGS   := optional
LOCAL_MODULE_OWNER  := intel
LOCAL_SRC_FILES     := GNSSLog.cfg
LOCAL_MODULE_CLASS  := ETC
LOCAL_MODULE_PATH   := $(TARGET_OUT_ETC)
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE        := GNSSPltf.cfg
LOCAL_MODULE_TAGS   := optional
LOCAL_MODULE_OWNER  := intel
LOCAL_SRC_FILES     := GNSSPltf.cfg
LOCAL_MODULE_CLASS  := ETC
LOCAL_MODULE_PATH   := $(TARGET_OUT_ETC)
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE        := GNSSUser.cfg
LOCAL_MODULE_TAGS   := optional
LOCAL_MODULE_OWNER  := intel
LOCAL_SRC_FILES     := GNSSUser.cfg
LOCAL_MODULE_CLASS  := ETC
LOCAL_MODULE_PATH   := $(TARGET_OUT_ETC)
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE        := HalConfigCG2000_linux.cfg
LOCAL_MODULE_TAGS   := optional
LOCAL_MODULE_OWNER  := intel
LOCAL_SRC_FILES     := HalConfigCG2000_linux.cfg
LOCAL_MODULE_CLASS  := ETC
LOCAL_MODULE_PATH   := $(TARGET_OUT_ETC)
include $(BUILD_PREBUILT)


include $(CLEAR_VARS)
LOCAL_MODULE        := cacert.txt
LOCAL_MODULE_TAGS   := optional
LOCAL_MODULE_OWNER  := intel
LOCAL_SRC_FILES     := cacert.txt
LOCAL_MODULE_CLASS  := ETC
LOCAL_MODULE_PATH   := $(TARGET_OUT_ETC)
include $(BUILD_PREBUILT)
